Subject: [TR] TR4 Throw Out Bearing Sleeve

From: "James Henningsen" <[email-masked]>
Date: Sun, 2 Jun 2013 15:38:11 -0400

This comes under the topic of - I can't find my parts because I packed up
and moved to another town.  I have a used clutch throw out bearing sleeve
with Made in England rhp bearing, but can't determine if this is the one
that I took off the TR4 when I dissembled.  TRF lists separate part numbers
between TR4 and TR4A.  Is there an easy way to verify if this is a TR4
sleeve as it might be used one from my TR6.  Trying to save buying a TR4 one
from TRF.

Thanks,

Jim Henningsen

62 TR4

75 TR6

Ocala, FL  

** [email-masked] **

Archive: http://www.team.net/archive